/*
    Copyright (C) 2009-2010 Bentejui Medina Clavijo bentejui.mcl(at)ventejuy.es

    This file is part of Femsii.

    Femsii is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Femsii is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Femsii.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "P_sistemaEc.h"
#include <iostream>
#include <string>
#include <math.h>
#include <fstream>
#include <stdlib.h>
#include <string.h>
#define PI 3.14159265358979323846264338327950288419716939937510

using namespace std;


int main(int argc, char** argv)
{
// no es necesario a partir de P_rigidez4
//	if( argv[1] == NULL ) { cout << "No hay mallado de entrada\n"; exit(0); }
	int verb = 0;

	Sistema_ecuaciones prueba(argv[1]);

//	cout << "\nMostrar las matridez locales de rigidez ? 0/1: ";
//	if( !(cin >> verb)) cout << "Simbolo desconocido. Castigado!.\n";
	prueba.getStiffness(verb);

//	cout << "\nMostrar la matridez global de rigidez ? 0/1: ";
//	verb=0; cin >> verb; if( verb==1 ){ cout<<"\n Matriz global" << endl; prueba.print_global(); }

	prueba.rightSide();

//	prueba.dirichletPto(); // DIRICHLET POR PUNTO	
//	prueba.paresHomologos();
//	prueba.kelvin();

	prueba.dirichletLin(); // DIRICHLET POR LINEA
	prueba.aBinario();
//	prueba.resolver();
//	prueba.archivoGmshPotNod(argv[1]);
//	prueba.archivoGmshPotEle();

//	cout << "\nMostrar la matridez global de rigidez ? 0/1: ";
//	verb=0; cin >> verb; if( verb==1 ){ cout<<"\n Matriz global" << endl; prueba.print_global(); }

//	cout << "\nCrear archivo txt con la matriz global de rigidez ? 0/1: ";
//	verb=0; cin >> verb; if( verb==1 )	{ prueba.hojaCalculo(); system("kspread rigidez.txt"); }

	return 0;
}
